Retrieve All Sites
Retrieves all sites currently connected to the platform. By default, all site types (NSX_MANAGER, SSP and AVI) are returned, but query parameters can be used to filter the sites.
Notes:
- If no sites are connected to the platform an empty list will be returned.
- The platform does not store the username and password that were used to onboard the site, so these fields will always be returned empty.
Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Number of records to be returned in the API request from the provided offset
True, if the list of records returned need to be sorted in ascending order, false otherwise.
The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.
Use this request param to filter by site name.
Use this request param to filter by site type.
Use this request param to filter by a site's current status.
OK
{
"total_result_count": 1,
"sites": [
{
"_create_time": 1779491346080,
"_last_modified_time": 1779491350276,
"_resource_type": "Site",
"_revision": 0,
"id": "2dc09816-34c0-43fb-99a6-b19b249a43da",
"site_ids": [
"2dc09816-34c0-43fb-99a6-b19b249a43da"
],
"desired_state": "ONBOARD",
"cluster_manager_ips": [
"190.168.111.9"
],
"site_connection_info": {
"password": "",
"username": "",
"connection_type": "DYNAMIC",
"hostname": "190.168.111.9"
},
"site_name": "nsx-mgr-0",
"site_type": "NSX_MANAGER",
"status": {
"cluster_status": "STABLE",
"conditions": [
{
"last_transition_time": 1779491372000,
"message": "",
"name": "CertificatesInSync",
"state": "PASS"
},
{
"last_transition_time": 1779491434000,
"message": "",
"name": "ConnectionEstablished",
"state": "PASS"
},
{
"last_transition_time": 1779491437000,
"message": "",
"name": "SiteConditionConfiguredPlatformDeploymentConfig",
"state": "NOT_APPLICABLE"
},
{
"last_transition_time": 1779491439000,
"message": "",
"name": "CreatedNsxSspApplianceInfo",
"state": "PASS"
},
{
"last_transition_time": 1779491534000,
"message": "",
"name": "FeatureSettingsReady",
"state": "PASS"
},
{
"last_transition_time": 1779491514000,
"message": "",
"name": "CommonAgentReady",
"state": "PASS"
},
{
"last_transition_time": 1779491563000,
"message": "",
"name": "PaceAgentReady",
"state": "PASS"
},
{
"last_transition_time": 1779491532000,
"message": "",
"name": "NsxStreamingReady",
"state": "PASS"
}
],
"configuration_status": {
"configuration_message": "OnboardingComplete",
"current_status": "READY",
"site_precheck_status": {
"site_precheck_phase": "ONBOARD",
"site_precheck_results": [
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteConnectionPrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "ActiveSitePrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteUserRolePrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteVersionCompatabilityPrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteNodeTypePrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteRegistrationPrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteNtpPrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "BackupRestoreInProgressPrecheck",
"precheck_result_status": "PASSED"
},
{
"precheck_last_run_time": 1779491349000,
"precheck_name": "SiteNsxConfigLimitPrecheck",
"precheck_result_status": "PASSED"
}
],
"site_precheck_state": "PASSED"
}
},
"connection_status": "HEALTHY",
"infrastructure_sync_agent_status": {
"last_transition_time": 1779491514000,
"status": "UP"
},
"inventory_sync_agent_status": {
"last_transition_time": 1779491563000,
"status": "UP"
},
"nsx_cluster_id": "463ce5e1-8001-4b60-b346-796940459666",
"nsx_version": "9.2.0.0.25077145"
},
"virtual_ip": "190.168.111.99"
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 200001,
"error_message": "An internal server error occurred.",
"module_name": "site"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -H 'Authorization: <value>' https://{api_host}/ssp/sites